{% capture logo_path %}{{ site.logo }}{% endcapture %}

<div class="masthead">
  <div class="masthead__inner-wrap">
    <div class="masthead__menu">
      <nav id="site-nav" class="greedy-nav">
        {% unless logo_path == empty %}
          <a class="site-logo" href="{{ '/' | relative_url }}"><img src="{{ logo_path | relative_url }}" alt="{{ site.masthead_title | default: site.title }}"></a>
        {% endunless %}
        <a class="site-title" href="{{ '/' | relative_url }}">
          {{ site.masthead_title | default: site.title }}
          {% if site.subtitle %}<span class="site-subtitle">{{ site.subtitle }}</span>{% endif %}
        </a>
        <ul class="visible-links">
          {%- for link in site.data.navigation.main -%}
            {% assign class = nil %}
            {% if page.url contains link.url %}
              {% assign class = 'active' %}
            {% endif %}
            {% if link.sublinks %}
              <li class="dropdown {{ class }}">
                <a class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">{{ link.title }}  <i class="fa fa-caret-down fa-sm" aria-hidden="true"></i><span class="caret"></span></a>
                <ul class="dropdown-content">
                  {% for sublink in link.sublinks %}
                    <li>
                      <a href="{{ site.baseurl }}{{ sublink.url }}"><p class="dropdown-arrow" aria-hidden="true">- </p>{{ sublink.title }}</a>
                   </li>
                  {% endfor %}
                </ul>
              </li>
            {% else %}
              <li class="masthead__menu-item">
                <a href="{{ site.baseurl }}{{ link.url }}">{{ link.title }}</a>
              </li>
            {% endif %}
          {% endfor %}
        </ul>
        {% if site.search == true %}
        <button class="search__toggle" type="button">
          <span class="visually-hidden">{{ site.data.ui-text[site.locale].search_label | default: "Toggle search" }}</span>
          <i class="fas fa-search"></i>
        </button>
        {% endif %}
        <button class="greedy-nav__toggle hidden" type="button">
          <span class="visually-hidden">{{ site.data.ui-text[site.locale].menu_label | default: "Toggle menu" }}</span>
          <div class="navicon"></div>
        </button>
        <ul class="hidden-links hidden"></ul>
      </nav>
    </div>
  </div>
</div>
